[
  {
    "namespace": "allowHtmlTemp",
    "functions": [
      {
        "name": "checkMailForHtmlpart",
        "type": "function",
        "description": "Checks selected message for a HTML MIME part.",
        "async": true,
        "parameters": [
          {
            "name": "messageId",
            "type": "integer",
            "description": "MailExtension message.id"
          },
          {
            "name": "optionsDebug",
            "type": "boolean",
            "description": "MailExtension options.debug"
          }
        ]
      },
      {
        "name": "changeRemoteContentPopupmenuItem",
        "type": "function",
        "description": "Applies the AHT button function to the doorhanger bar button",
        "async": true,
        "parameters": [
          {
            "name": "tabId",
            "type": "integer",
            "description": "MailExtension tab.id"
          },
          {
            "name": "optionsDebug",
            "type": "boolean",
            "description": "MailExtension options.debug"
          }
        ]
      },
      {
        "name": "resetRemoteContentPopupmenuItem",
        "type": "function",
        "description": "Reset the doorhanger bar button to its original function",
        "async": true,
        "parameters": [
          {
            "name": "tabId",
            "type": "integer",
            "description": "MailExtension tab.id"
          },
          {
            "name": "optionsDebug",
            "type": "boolean",
            "description": "MailExtension options.debug"
          }
        ]
      },
      {
        "name": "reloadTab",
        "type": "function",
        "async": true,
        "parameters": [
          {
            "name": "tabId",
            "type": "integer"
          }
        ]
      },
      {
        "name": "disconnectTab",
        "type": "function",
        "async": true,
        "parameters": [
          {
            "name": "tabId",
            "type": "integer"
          }
        ]
      },
      {
        "name": "reconnectTab",
        "type": "function",
        "async": true,
        "parameters": [
          {
            "name": "tabId",
            "type": "integer"
          }
        ]
      }
    ],
    "events": [
      {
        "name": "onClick",
        "description": "fires when a specific DOM element is clicked",
        "type": "function",
        "parameters": [
          {
            "name": "tabId",
            "type": "integer",
            "description": "MailExtension tab.id"
          }
        ]
      }
    ]
  }
]